// Пример QtScript сценария для генерации отчета в ODF (OpenOffice), HTML, Plain text, ...
// с помощью класса CReport, заполняющего шаблон данными

var vRep = new CReport();
// пример установки значения для простого тэга шаблона
vRep.tag("начальная_дата").setValue("2008.01.01"); 
// пример установки значения для простого тэга шаблона
vRep.tag("конечная_дата").setValue("2008.02.01");
vRep.tag("контрагент").setValue("Иванов И.И.");

var vDolg = 120000;

for (i=1;i<8;i++) {
    // создание строки в секции
    var vRow = vRep.section("выплата").row(i); 
    vRow.tag("номер").setValue("" + i);
    vRow.tag("ожид_дата").setValue("2008.01.0" + i);
    vRow.tag("факт_дата").setValue("2008.01.0" + (i+1));
    vRow.tag("сумма").setValue(i * 1000);
    if (i > 1) {
       /* Можно пользоваться уже записанными посчитанными 
        * данными. Ниже приведен пример получение 
        * данных из таблицы предобработки.
        */
      vDolg -= vRep.section("выплата").row(i-1).tag("сумма").value();
    }
    vRow.tag("долг").setValue(vDolg);
}

var vSec  = vRep.section("выплата");
var vLast = vSec.rowCount();

vRep.tag("остаток").setValue(vSec.row(vLast).tag("долг").value() - 
                             vSec.row(vLast).tag("сумма").value());

// сгенерировать отчет и открыть его в openoffice
//vRep.generate(); 
vRep.setOption("Template","test");
vRep.generate("ODF"); 
