TARGET                 = program.bin

#TEMPLATE              = app


DESTDIR               = ../bin
MOC_DIR               = .moc
OBJECTS_DIR           = .obj

CONFIG               += qt plugin -debug_and_release release
QT                   += xml sql script

QMAKE_CFLAGS         += -g -I. -I.. -I../include
QMAKE_CXXFLAGS       += -g -I. -I.. -I../include
QMAKE_LFLAGS         += -g -L../lib

#LIBS                 +=  -lquazip
DEFINES              += HAVE_LOCALE

#INCLUDEPATH          += 3rdparty/quazip
INCLUDEPATH          += ../include
#DEPENDPATH          +=

######## BASE ########
HEADERS              += cglobals.h \
                        capplication.h \
                        creportfactory.h \
                        creport.h \
                        main.h

SOURCES              += cglobals.cpp \
                        capplication.cpp \
                        creportfactory.cpp \
                        creport.cpp \
                        main.cpp

####### WIDGETS ######
HEADERS              += chighlighter.h \
                        cmainwindow.h

SOURCES              += chighlighter.cpp \
                        cmainwindow.cpp

FORMS                 =

RESOURCES            += resources.qrc

#CODECFORTR           = utf8
#TRANSLATIONS         = eemproject.ts

###

HEADERS               = $$unique(HEADERS)
SOURCES               = $$unique(SOURCES)
FORMS                 = $$unique(FORMS)
RESOURCES             = $$unique(RESOURCES)

sources.files = $$SOURCES $$HEADERS $$FORMS $$RESOURCES $$TRANSLATIONS src.pro
